=== debian/changelog ===
ptlib (2.6.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix for missing RTF_WASCLONED macro on GNU/kFreeBSD.  (Closes: #637944)
  * Replace hard-coded non-Linux architectures with "linux-any".
    (Closes: #634502)

 -- Robert Millan <rmh@debian.org>  Sat, 22 Oct 2011 17:28:09 +0200

ptlib (2.6.7-2) unstable; urgency=low

  * Add source/format '3.0 (quilt)'
  * libpt-dbg package - versioning removed
  * Update +Vcs-Svn: +Vcs-Browser:
  * Drop unsupported SSLv2_method - removed from openssl
    - Fixes "FTBFS: ptclib/pssl.cxx:810:27: error: 'SSLv2_method' was not
    declared in this scope" (Closes: #622012)

 -- Mark Purcell <msp@debian.org>  Sat, 02 Jul 2011 16:08:39 +1000

ptlib (2.6.7-1) unstable; urgency=low

  [Mark Purcell]
  * New upstream release 
    - NEW package libpt2.6.7 - soname bump
    - Fix FTBFS on GNU/kFreeBSD (Closes: #545948)
  * Constrain debian/watch to just track 2.6 series (Lalande release)
    - Move to svn://svn.debian.org/pkg-voip/ptlib/branches/ptlib-2.6
  * Switch to dh (7) - drop cdbs
  * Depreciate libptX.X.X-plugins -> libptX.X.X
    - Makes dependent packages binNMU safe
  * Reinstate get-orig-source target - uscan

  [Eugen Dedu]
  * Remove Build-Conflict with its own runtime (Closes: #459712)

 -- Mark Purcell <msp@debian.org>  Thu, 27 May 2010 22:27:41 +1000

ptlib (2.6.5-1) unstable; urgency=low

  * New upstream release
    - fix compilation on kFreeBSD (Closes: #545948)

 -- Mark Purcell <msp@debian.org>  Sat, 03 Oct 2009 17:11:51 +1000

ptlib (2.6.4-1) unstable; urgency=low

  * New upstream release (Closes: #533519)
  * Gather all the current plugins into one package, since they were
    really small.
    - NEW package libpt2.6.4-plugins

 -- Mark Purcell <msp@debian.org>  Sat, 06 Jun 2009 12:21:35 +1000

ptlib (2.6.3-1) unstable; urgency=low

  * New upstream release
    - soname bump - NEW package libpt2.6.3
    - ptlib transition continues ;-)
  * Another variable in debian/watch

 -- Mark Purcell <msp@debian.org>  Sat, 06 Jun 2009 06:20:50 +1000

ptlib (2.6.2-1) unstable; urgency=low

  * New upstream release
    - soname bump - NEW package libpt2.6.2
    - ptlib transition agreed on debian-release

  [ Kilian Krause ]
  * Remove -N from wget args in get-orig-source target as -O is already
    used.

 -- Mark Purcell <msp@debian.org>  Wed, 27 May 2009 05:33:29 +1000

ptlib (2.6.1-2) unstable; urgency=low

  * Upload to unstable 
    - ptlib transition - discussed on debian-release
  * Update debian/copyright - Thks Charles & Eugen
    - (Closes: #525286): "Missing entries in debian/copyright."

 -- Mark Purcell <msp@debian.org>  Mon, 27 Apr 2009 19:48:16 +1000

ptlib (2.6.1-1) experimental; urgency=low

  * New upstream release.

  [ Eugen Dedu ]
  * Remove DC and AVC plugin packages, since they do not compile anymore
    with current versions of libraw1394/libdc1394/libavc1394 in debian.
  * debian/rules: Honour DEB_BUILD_OPTIONS parameter for parallel builds.
  * Fix control fields: Vcs-Svn and Vcs-Browser.

  [ Mark Purcell ]
  * Switch development package to libpt-dev. Guidance from debian-release
  * Begin migration from old libpt versions
  * Update debian/watch -> sf.net & ftp.gnome.org
  * debian/libpt-dev.install replaces mv/cp stataments in debian/rules
  * Add Build-Depends: libv4l-dev (Closes: #512931)
  * Call dh_prep vice dh_clean -k

 -- Mark Purcell <msp@debian.org>  Fri, 03 Apr 2009 00:22:05 +1100

ptlib (2.4.2-3) experimental; urgency=low

  * Provide ODBC support Build-Depend: / Depend: unixodbc-dev 
    - fixes ekiga i386 build issues
  * libpt2.4.2-dev Depends: pkg-config

 -- Mark Purcell <msp@debian.org>  Wed, 10 Dec 2008 21:14:24 +1100

ptlib (2.4.2-2) experimental; urgency=low

  [ Eugen Dedu ]
  * Build-Depends on pkg-config, allowing to correctly build the package.

  [ Mark Purcell ]
  * Integrate historic pwlib{-titan} debian/changelog

 -- Mark Purcell <msp@debian.org>  Sat, 15 Nov 2008 08:10:21 +1100

ptlib (2.4.2-1) experimental; urgency=low

  [ Eugen Dedu ]
  * New stable version 2.4.2, with update of debian files

 -- Mark Purcell <msp@debian.org>  Thu, 06 Nov 2008 21:30:25 +1100

ptlib (2.3.0+svn20940-1) experimental; urgency=low

  [ Eugen Dedu ]
  * Build-Depends on libdv4-dev instead of libdv-dev
  * Fix naming Portable Windows -> Portable Tools in control file
  * Really include upstream changelog in the package
  * Build from svn snapshot REV 20940

 -- Mark Purcell <msp@debian.org>  Sun, 14 Sep 2008 15:57:47 +1000

ptlib (2.3.0+svn20904-1) experimental; urgency=low

  [ Eugen Dedu ]
  * First upload of svn snapshot to debian.
  * Build from REV 20904, take into account the changes
  * Make use of make install, simplify the install target in rules file
  * Rename package to -beta1

  [ Mark Purcell ]
  * 2.3.0 was tagged at REV 20678, thus this version 2.3.0+svn
  * svn REV checkout is controlled from debian/changelog version
  * Updated debian/watch to pickup next tag
  * Update Description: to explict state this svn snapshot

 -- Mark Purcell <msp@debian.org>  Thu, 11 Sep 2008 21:50:19 +1000

ptlib-snapshot (0-20080418-1) voip; urgency=low

  * Built from SVN snapshots.  No package support, please refer to
    irc.gimp.net channel #ekiga for support.  Do not complain about
    these debs at Debian BTS!

 -- Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>  Sun, 18 Apr 2008 00:00:00 +0200

ptlib-snapshot (0-20071107-03-sid.2) voip-snapshots-debian-sid; urgency=high

  * Built from CVS snapshots. No package support, please refer to
    irc.gimp.net channel #ekiga for support

 -- Kilian Krause <kilian@debian.org>  Sun, 27 May 2007 21:31:35 +0000

pwlib-titan (1.11.2-2) unstable; urgency=low

  [ Kilian Krause ]
  * Fix debian/watch to use sf.net instead of voxgratia.org (Closes: #453595)
  * Remove symlinks of unused compatibility versions.
  * Remove entire -ptrace and -debug build and leave only opt build with
    PTRACE code as new binary library. Discussion with Robert Jongbloed

