=== debian/control ===
Source: ptlib
Section: libs
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, doxygen, pkg-config, bison, flex,
 unixodbc-dev, libssl-dev, libldap2-dev, libsasl2-dev, libkrb5-dev, libexpat1-dev,
 libsdl1.2-dev, libdv4-dev, 
 libv4l-dev [linux-any],
 libasound2-dev  [linux-any]
Build-Conflicts: libpt-dev
Standards-Version: 3.8.4
Homepage: http://www.opalvoip.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/ptlib/branches/ptlib2.6-lalande
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/ptlib/branches/ptlib2.6-lalande
DM-Upload-Allowed: yes

Package: libpt2.6.7
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Portable Tools Library
 This package contains the shared version of the library PTLib, which is
 a moderately large class library that has its genesis many years ago as
 a method to produce applications to run on both Microsoft Windows and
 Unix X-Window systems.
 .
 This package also contains all the current PTLib plugins (alsa, oss and v4l).

Package: libpt-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpt2.6.7 (= ${binary:Version}),
 libc6-dev, libssl-dev, libldap2-dev, libsdl1.2-dev, libexpat1-dev, libsasl2-dev, unixodbc-dev, pkg-config
Description: Portable Tools Library development files
 This package contains the headers and a static version of the library
 PTLib, which is a moderately large class library that has its genesis
 many years ago as a method to produce applications to run on both
 Microsoft Windows and Unix X-Window systems.

Package: libpt-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpt2.6.7 (= ${binary:Version})
Description: Portable Tools Library development debug files
 This package contains the shared and static debug symbols of the library
 PTLib, which is a moderately large class library that has its genesis
 many years ago as a method to produce applications to run on both
 Microsoft Windows and Unix X-Window systems.  This is not the debug compiled
 version of PTLib which would yield much more detailled information as a
 compromise of benefit and compile power consumption.

Package: libpt-doc
Section: doc
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: all
Description: Portable Tools Library documentation & sample files
 This package contains the documentation and samples to program with
 PTLib, which is a moderately large class library that has its genesis
 many years ago as a method to produce applications to run on both
 Microsoft Windows and Unix X-Window systems.
