=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-oss --enable-v4l --disable-avc --disable-dc --disable-odbc

override_dh_auto_build:
	dh_auto_build -- all docs

override_dh_strip:
	dh_strip -a --dbg-package=libpt-dbg

get-orig-source:
	uscan --force-download
