=== debian/watch ===
version=3

http://sf.net/opalvoip/ptlib-(2.6.\d).tar.bz2 debian svn-upgrade
