## ptlib 2.10.1~dfsg

=== debian/changelog ===
ptlib (2.10.1~dfsg-1) experimental; urgency=low

  * New upstream release: 2.10.1 (Luyten) 
    Closes: #622012, #598986
  * Re-Add myself to Uploaders
  * Bump debhelper compat to 8
  * Fix debian/watch to allow double digit minor versions
  * Drop Changelog-ptlib from docs as upstream doesn't ship it
  * Bump Standards-Version to 3.9.2 - no changes required
  * Update VCS browser field to anonscm.d.o
  * Repack as DFSG to remove upstream's windows binaries
  * Fix debian/watch to add ~dfsg version mangle
  * Remove unused ${shlibs:Depends} from libpt-dev, libpt-dbg and libpt-doc
  * Re-Add more complete clean target and debian/clean for dh_clean to wipe
    out leftover files
  * Replace jquery.js with Debian's version to make lintian happy
  * Add symbols file for libpt2.10.1 (but don't fail builds while we're in
    experimental)
  * Add pkg-kde-tools to take advantage of pkgkde-symbolshelper which is
    better suited for C++ libs - thanks to Modestas Vainius!
    (this makes c++ symbol files somewhat less painful. But still different
    g++ versions emit a bit different symbol sets so ftbfs'es happen)
  * Register API documentation with doc-base
  * Add dlclose fixes from upstream to unloading plugins without ld.so issuing
    an error

 -- Kilian Krause <kilian@debian.org>  Tue, 12 Jul 2011 08:41:14 +0200

ptlib (2.8.4-1) experimental; urgency=low

  * New upstream release
  * NEW package libpt2.8.4 - soname bump 

 -- Mark Purcell <msp@debian.org>  Tue, 01 Mar 2011 07:58:50 +1100

ptlib (2.8.3-1) experimental; urgency=low

  * New upstream release 
  * NEW package libpt2.8.3 - soname bump
  * Add Build-Depends: libpulse-dev - Pulse audio support
  * dh_installchangelogs ChangeLog-ptlib-*.txt

 -- Mark Purcell <msp@debian.org>  Sat, 29 Jan 2011 19:43:33 +1100

ptlib (2.8.2-1) experimental; urgency=low

  * New upstream release
    - NEW packages libpt[2.8.2,-dbg] - soname bump
  * Standards Version 3.9.1 - no changes
  * source/format -> 3.0 (quilt)

 -- Mark Purcell <msp@debian.org>  Sat, 31 Jul 2010 12:55:13 +1000

ptlib (2.8.1-1) experimental; urgency=low

  * New upstream release
    - NEW packages libpt2.8.1[-dbg] - soname bump
  * Sync from branches/ptlib-2.6

 -- Mark Purcell <msp@debian.org>  Sun, 30 May 2010 13:37:37 +1000

ptlib (2.8.0-1) experimental; urgency=low

  * New upstream release
  * NEW package libpt2.8.0 - soname bump

 -- Mark Purcell <msp@debian.org>  Sun, 07 Mar 2010 09:31:14 +1100
