## ptlib 2.10.2~dfsg

=== debian/changelog ===
ptlib (2.10.2~dfsg-0ubuntu1) oneiric; urgency=low

  * Merge with Debian experimental. (LP: #836915) Remaining Ubuntu changes:
    - debian/rules: Configure with --enable-exceptions, to avoid
      -fno-exceptions leaking into pkg-config.
  * New upstream bug fix release
  * Drop pluginmgr.patch, dlclose_fix.patch: Included upstream.
  * debian/rules: Disable failing and rather dubious "compiled static" test,
    as this makes no actual effort of checking the binary. (The binary is
    really compiled dynamically)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 10 Sep 2011 09:12:12 +0200
