## ptlib 2.10.2%7edfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ptlib
 Section: libs
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Kilian Krause <kilian@debian.org>
 Build-Depends: debhelper (>= 8), autotools-dev, doxygen, pkg-config, bison, flex,
  unixodbc-dev, libssl-dev, libldap2-dev, libsasl2-dev, libkrb5-dev, libexpat1-dev,
@@ -9,13 +10,13 @@
  libsdl1.2-dev, libdv4-dev, 
  libv4l-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libasound2-dev  [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
-Build-Conflicts: libpt-dev, libpt2.8.4, libpt2.8.3, libpt2.10.1
+Build-Conflicts: libpt-dev, libpt2.8.4, libpt2.8.3, libpt2.10.1, libpt2.10.2
 Standards-Version: 3.9.2
 Homepage: http://www.opalvoip.org/
 Vcs-Svn: svn://svn.debian.org/pkg-voip/ptlib/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/ptlib/trunk/
 
-Package: libpt2.10.1
+Package: libpt2.10.2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Portable Tools Library
@@ -30,7 +31,7 @@
 Package: libpt-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libpt2.10.1 (= ${binary:Version}),
+Depends: ${misc:Depends}, libpt2.10.2 (= ${binary:Version}),
  libc6-dev, libssl-dev, libldap2-dev, libsdl1.2-dev, libexpat1-dev, libsasl2-dev, unixodbc-dev, pkg-config
 Description: Portable Tools Library development files
  This package contains the headers and a static version of the library
@@ -42,7 +43,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, libpt2.10.1 (= ${binary:Version})
+Depends: ${misc:Depends}, libpt2.10.2 (= ${binary:Version})
 Description: Portable Tools Library development debug files
  This package contains the shared and static debug symbols of the library
  PTLib, which is a moderately large class library that has its genesis
