## ptlib 2.10.4~dfsg

=== src/Makefile ===
--- 
+++ 
@@ -35,6 +35,7 @@
 LIBDIR  = $(PT_LIBDIR)
 TARGET  = $(LIBDIR)/$(PTLIB_FILE)
 VERSION_FILE = $(PTLIBDIR)/version.h
+REVISION_FILE = $(PTLIBDIR)/revision.h
 
 ##########################################
 
@@ -48,6 +49,11 @@
 endif
 VPATH_CXX		:= $(PLATFORM_SRC_DIR) $(COMMON_SRC_DIR) $(COMPONENT_SRC_DIR) 
 
+ifeq ($(OSTYPE),Darwin)
+SED_EXTREGEX_FLAG		= -E
+else
+SED_EXTREGEX_FLAG		= -r
+endif
 
 # try and keep the order of modules in reverse order of usage so any
 # global statics will be constructed/destructed in the correct order
@@ -113,8 +119,8 @@
 endif
 
 ifdef HAS_DIRECTSHOW
-SOURCES	+= $(PLATFORM_SRC_DIR)/vidinput_directx.cxx
-$(OBJDIR)/vidinput_directx.o: $(PLATFORM_SRC_DIR)/vidinput_directx.cxx
+SOURCES	+= $(PLATFORM_SRC_DIR)/directshow.cxx
+$(OBJDIR)/directshow.o: $(PLATFORM_SRC_DIR)/directshow.cxx
 	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
 	$(Q_CC)$(CXX) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) $(CFLAGS) -c $< -o $@
 endif
@@ -164,8 +170,9 @@
 
 ## Various modules
 
+SOURCES	+= $(COMPONENT_SRC_DIR)/pxml.cxx 
+
 ifdef HAS_EXPAT
-SOURCES	+= $(COMPONENT_SRC_DIR)/pxml.cxx 
 
 ifdef HAS_XMLRPC
 SOURCES	+= \
@@ -190,6 +197,9 @@
 endif
 endif # HAS_EXPAT
 
+ifdef HAS_LUA
+SOURCES	+= $(COMPONENT_SRC_DIR)/lua.cxx
+endif
 
 ifdef HAS_RESOLVER
 SOURCES += \
@@ -294,13 +304,13 @@
 SOURCES += \
 	$(COMPONENT_SRC_DIR)/http.cxx \
 	$(COMPONENT_SRC_DIR)/httpclnt.cxx \
+	$(COMPONENT_SRC_DIR)/html.cxx \
 	$(COMPONENT_SRC_DIR)/httpsrvr.cxx
 endif
 
 ifdef HAS_HTTPFORMS
 SOURCES += \
-	$(COMPONENT_SRC_DIR)/httpform.cxx \
-	$(COMPONENT_SRC_DIR)/html.cxx 
+	$(COMPONENT_SRC_DIR)/httpform.cxx
 endif #HAS_HTTPFORMS
 
 ifdef HAS_HTTPSVC
@@ -320,8 +330,6 @@
 SOURCES += $(PLATFORM_SRC_DIR)/config.cxx 
 endif
 endif
-
-SOURCES += $(COMPONENT_SRC_DIR)/threadpool.cxx
 
 ifdef HAS_VIDFILE
 SOURCES += $(COMPONENT_SRC_DIR)/pvidfile.cxx \
@@ -367,6 +375,8 @@
 GETDATE_SOURCE = $(COMMON_SRC_DIR)/getdate.tab.c
 
 SOURCES	+= \
+	$(COMPONENT_SRC_DIR)/cli.cxx \
+	$(COMPONENT_SRC_DIR)/threadpool.cxx \
 	$(COMPONENT_SRC_DIR)/ipacl.cxx \
 	$(COMPONENT_SRC_DIR)/qchannel.cxx \
 	$(COMPONENT_SRC_DIR)/delaychan.cxx \
@@ -375,14 +385,16 @@
 	$(COMPONENT_SRC_DIR)/random.cxx \
 	$(COMPONENT_SRC_DIR)/inetprot.cxx \
 	$(COMPONENT_SRC_DIR)/notifier_ext.cxx \
+	$(COMPONENT_SRC_DIR)/vcard.cxx \
 	$(COMPONENT_SRC_DIR)/guid.cxx \
 	$(GETDATE_SOURCE) \
 	$(PLATFORM_SRC_DIR)/assert.cxx \
-        $(COMMON_SRC_DIR)/pluginmgr.cxx \
+	$(COMMON_SRC_DIR)/pluginmgr.cxx \
 	$(COMMON_SRC_DIR)/sockets.cxx \
 	$(COMMON_SRC_DIR)/psockbun.cxx \
 	$(COMMON_SRC_DIR)/qos.cxx \
 	$(COMMON_SRC_DIR)/ptime.cxx \
+	$(COMMON_SRC_DIR)/syslog.cxx \
 	$(COMMON_SRC_DIR)/osutils.cxx \
 	$(COMMON_SRC_DIR)/safecoll.cxx \
 	$(COMMON_SRC_DIR)/collect.cxx \
@@ -396,6 +408,27 @@
 CLEAN_FILES = $(GETDATE_SOURCE)
 
 
+$(COMMON_SRC_DIR)/osutils.cxx: $(REVISION_FILE)
+
+$(REVISION_FILE) : $(REVISION_FILE).in
+ifeq ($(shell which svn 2> /dev/null),)
+	sed -e "s/.WCREV./`sed -n -e 's/.*Revision: \([0-9]*\).*/\1/p' $<`/" $< > $@
+else
+ifeq ($(wildcard .svn),)
+	sed -e "s/.WCREV./`sed -n -e 's/.*Revision: \([0-9]*\).*/\1/p' $<`/" $< > $@
+else
+	$(Q)sed "s/SVN_REVISION.*/SVN_REVISION `LC_ALL=C svn info | sed -n 's/Revision: //p'`/" $< > $@.tmp
+	$(Q)if diff -q $@ $@.tmp >/dev/null 2>&1; then \
+	  rm $@.tmp; \
+	else \
+	  mv -f $@.tmp $@; \
+	  echo "Revision file updated to `sed $(SED_EXTREGEX_FLAG) -n 's/.*SVN_REVISION(.*)/\1/p' $@`" ; \
+	fi
+
+.PHONY: $(REVISION_FILE)
+endif
+endif
+
 #######################################################
 
 include ../make/common.mak
@@ -427,7 +460,7 @@
 endif
 
 $(OBJDIR)/getdate.tab.o: $(GETDATE_SOURCE)
-	$(Q_CC)$(CC) $(STDCCFLAGS) $(CFLAGS) -c $< -o $@
+	$(Q_CC)$(CC) -Wno-write-strings $(STDCCFLAGS) $(CFLAGS) -c $< -o $@
 
 $(DEPDIR)/getdate.tab.dep: $(GETDATE_SOURCE)
 	$(Q_CC)$(CC) $(STDCCFLAGS) -M $< >> $@
@@ -442,6 +475,3 @@
 
 include $(PTLIBDIR)/make/lib.mak
 
-#######################################################
-
-# End of Makefile
