=== debian/changelog ===
ptlib (2.10.4~dfsg-1) unstable; urgency=low

  * New upstream release 

  [ Eugen Dedu ]
  * Replace !kfreebsd* Build-Depends with linux-any to easy ports (Closes:
    #634502)

  [ Mark Purcell ]
  * NEW package libpt2.10.4 - soname bump
  * Upload to unstable - coordinated through debian-release
  * Ack NMU - Thks Robert
  * Fixed upstream "RTF_WASCLONED macro" (Closes: #637944)
  * Drop symbol support - few rdepends and exporting lots of symbols (C++)

 -- Mark Purcell <msp@debian.org>  Sat, 03 Mar 2012 08:38:24 +1100
