=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,8 @@
 UPFILENAME := ptlib_$(UPVERSION).orig.tar.gz
 URL := http://transact.dl.sourceforge.net/sourceforge/opalvoip/ptlib-$(UPVERSION).tar.bz2
 
-# to collect all symbols on all archs in experimental
-# and set this to 1 or higher once we move to unstable
-export DPKG_GENSYMBOLS_CHECK_LEVEL=0
-
 %:
-	dh $@ --with autotools_dev --parallel --with=pkgkde-symbolshelper
+	dh $@ --with autotools_dev --parallel
 
 override_dh_clean:
 	if [ -f Makefile ];then \
