=== debian/watch ===
version=3

opts=dversionmangle=s/[\.~]dfsg(\d+)?//,uversionmangle=s/[_\.]+/\./g \
http://sf.net/opalvoip/ptlib-(\d.\d+.\d).tar.bz2 debian svn-upgrade
