## ptlib 2.10.9~dfsg

=== debian/changelog ===
ptlib (2.10.9~dfsg-1) experimental; urgency=low

  [ Eugen Dedu ]
  * New upstream release
    - fixes GNU/Hurd build
  * NEW package libpt2.10.9 - match-soname
  * Remove some unneeded Build-Conflicts 

 -- Mark Purcell <msp@debian.org>  Tue, 27 Nov 2012 20:28:07 +1100

ptlib (2.10.7~dfsg-1) experimental; urgency=low

  * New upstream release
    - Fixes " FTBFS on Debian GNU/Hurd [patch attached]" (Closes: #681645)
  * NEW package libpt2.10.7 - match-soname 
  * Update debian/watch

 -- Mark Purcell <msp@debian.org>  Sat, 01 Sep 2012 10:09:01 +1000

ptlib (2.10.5~dfsg-1) experimental; urgency=low

  * New Upstream Release
  * NEW package libpt2.10.5 - match-soname

 -- Mark Purcell <msp@debian.org>  Wed, 23 May 2012 07:59:30 +1000
