=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Build-Depends: debhelper (>= 8), autotools-dev, doxygen, pkg-config, bison, flex,
  unixodbc-dev, libssl-dev, libldap2-dev, libsasl2-dev, libkrb5-dev, libexpat1-dev,
  libpulse-dev,
- libsdl1.2-dev, libdv4-dev, 
+ libsdl1.2-dev, libdv4-dev,
  libv4l-dev [linux-any],
  libasound2-dev  [linux-any]
-Build-Conflicts: libpt-dev, libpt2.8.4, libpt2.10.4, libpt2.10.1
-Standards-Version: 3.9.2
+Build-Conflicts: libpt-dev
+Standards-Version: 3.9.3
 Homepage: http://www.opalvoip.org/
 Vcs-Svn: svn://svn.debian.org/pkg-voip/ptlib/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/ptlib/trunk/
 
-Package: libpt2.10.4
+Package: libpt2.10.9
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Portable Tools Library
@@ -30,7 +30,7 @@
 Package: libpt-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libpt2.10.4 (= ${binary:Version}),
+Depends: ${misc:Depends}, libpt2.10.9 (= ${binary:Version}),
  libc6-dev, libssl-dev, libldap2-dev, libsdl1.2-dev, libexpat1-dev, libsasl2-dev, unixodbc-dev, pkg-config
 Description: Portable Tools Library development files
  This package contains the headers and a static version of the library
@@ -42,7 +42,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, libpt2.10.4 (= ${binary:Version})
+Depends: ${misc:Depends}, libpt2.10.9 (= ${binary:Version})
 Description: Portable Tools Library development debug files
  This package contains the shared and static debug symbols of the library
  PTLib, which is a moderately large class library that has its genesis
